Bug 1011784 - Session.getNodeByIdentifier exposes Version History node
Session.getNodeByIdentifier exposes Version History node
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
  Show dependency treegraph
Reported: 2013-09-25 03:05 EDT by Horia Chiorean
Modified: 2016-02-10 03:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-10 03:53:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2055 Major Closed Session.getNodeByIdentifier should not return the version history of a node 2014-02-17 08:56:43 EST

  None (edit)
Description Horia Chiorean 2013-09-25 03:05:19 EDT
See attached community issue for details.
Comment 1 JBoss JIRA Server 2013-09-25 04:16:53 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2055

Attached a 2nd pull request which fixes the described issue.
Comment 2 JBoss JIRA Server 2013-09-25 11:16:37 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2055

Rebased and merged into the 'master' branch. Leaving this issue open until it is also merged into the '3.3.x-prod-ip6.0' branch.
Comment 8 JBoss JIRA Server 2013-10-24 05:23:22 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2055 to Closed
Comment 9 belong 2013-11-19 18:20:52 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.